### Function

# GimpUi random_seed_new

unstable since: 3.0

#### Declaration [src]

    GtkWidget*
    gimp_random_seed_new (
      guint32* seed,
      gboolean* random_seed
    )

#### Description [src]

Creates a widget that allows the user to control how the random number generator is initialized.

Available since: 3.0

#### Parameters

`seed`

  Type: `guint32*`

  A pointer to the variable which stores the random seed.

  The data is owned by the caller of the function.

`random_seed`

  Type: `gboolean*`

  A pointer to a boolean indicating whether seed should be initialised randomly or not.

  The data is owned by the caller of the function.

#### Return value

Type: `GtkWidget`

A `GtkBox` containing a `GtkSpinButton` for the seed and a `GtkButton` for setting a random seed.

The caller of the function takes ownership of the data, and is responsible for freeing it.